Bug 35868 - Warning sign for using a patron category that is limited to another library has moved to other side of page
Summary: Warning sign for using a patron category that is limited to another library h...
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: Main
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 31422
Blocks:
  Show dependency treegraph
 
Reported: 2024-01-22 21:32 UTC by Katrin Fischer
Modified: 2024-04-05 09:52 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 35868: Warning sign for using a patron category that is limited to another library has moved to other side of page (2.28 KB, patch)
2024-03-21 14:19 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 35868: Warning sign for using a patron category that is limited to another library has moved to other side of page (2.35 KB, patch)
2024-03-21 14:54 UTC, Laura Escamilla
Details | Diff | Splinter Review
Bug 35868: Warning sign for using a patron category that is limited to another library has moved to other side of page (2.41 KB, patch)
2024-04-01 15:17 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2024-01-22 21:32:56 UTC
Bug 31422 implemented a warning sign, when a patron has a patron category that you are not allowed to set due to library limitations on the code. It should appear right next to the field, but might appear on the other side of the page now being easily missed.

To test:
* User's login branch and home library is: Centerville
* Patron category "B - Board" is limited to Franklin
* Create a new patron: Board doesn't show
* Edit an existing patron with another patron category: Board doesn't show
* Edit a patron with Board category from Centerville: Board appears in the list of options but the nice little icon with the tooltip has moved all the way to the right... 

Maybe another tiny side effect of the staff re-design?
Comment 1 Fridolin Somers 2024-03-21 14:19:38 UTC
Created attachment 163617 [details] [review]
Bug 35868: Warning sign for using a patron category that is limited to another library has moved to other side of page

Bug 31422 implemented a warning sign, when a patron has a patron category that you are not allowed to set due to library limitations on the code.
It should appear right next to the field, but might appear on the other side of the page now being easily missed.

This patch simply removes the float:right CSS rule.

To test:
* User's login branch and home library is: Centerville
* Patron category "B - Board" is limited to Franklin
* Create a new patron: Board doesn't show
* Edit an existing patron with another patron category: Board doesn't show
* Edit a patron with Board category from Centerville
=> Check the warning icon with the tooltip is close to the category select
Comment 2 Laura Escamilla 2024-03-21 14:54:51 UTC
Created attachment 163626 [details] [review]
Bug 35868: Warning sign for using a patron category that is limited to another library has moved to other side of page

Bug 31422 implemented a warning sign, when a patron has a patron category that you are not allowed to set due to library limitations on the code.
It should appear right next to the field, but might appear on the other side of the page now being easily missed.

This patch simply removes the float:right CSS rule.

To test:
* User's login branch and home library is: Centerville
* Patron category "B - Board" is limited to Franklin
* Create a new patron: Board doesn't show
* Edit an existing patron with another patron category: Board doesn't show
* Edit a patron with Board category from Centerville
=> Check the warning icon with the tooltip is close to the category select

Signed-off-by: Laura Escamilla <laura.escamilla@bywatersolutions.com>
Comment 3 Nick Clemens 2024-04-01 15:17:57 UTC
Created attachment 164199 [details] [review]
Bug 35868: Warning sign for using a patron category that is limited to another library has moved to other side of page

Bug 31422 implemented a warning sign, when a patron has a patron category that you are not allowed to set due to library limitations on the code.
It should appear right next to the field, but might appear on the other side of the page now being easily missed.

This patch simply removes the float:right CSS rule.

To test:
* User's login branch and home library is: Centerville
* Patron category "B - Board" is limited to Franklin
* Create a new patron: Board doesn't show
* Edit an existing patron with another patron category: Board doesn't show
* Edit a patron with Board category from Centerville
=> Check the warning icon with the tooltip is close to the category select

Signed-off-by: Laura Escamilla <laura.escamilla@bywatersolutions.com>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Katrin Fischer 2024-04-05 09:20:55 UTC
Filed this myself in January - really glad to see a fix!
Comment 5 Katrin Fischer 2024-04-05 09:52:31 UTC
Pushed for 24.05!

Well done everyone, thank you!